### Function

# GLib HookFinalizeFunc

#### Declaration

    void
    (* GHookFinalizeFunc) (
      GHookList* hook_list,
      GHook* hook
    )

#### Description [src]

Defines the type of function to be called when a hook in a list of hooks gets finalized.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

`hook`

  Type: `GHook`

  The hook in `hook_list` that gets finalized.

  The data is owned by the caller of the function.